/*	Sample program for Olimex AVR-MT with AT90S2313 processor
 *	Hold Button1 to activate Buzzer
 *	Compile with AVRStudio+WinAVR (gcc version 3.4.6)
 */

#define __AVR_AT90S2313__	1

#include "avr/io.h"

int i;

void PORT_Init()
{
	PORTB = 0b00000000;
	DDRB  = 0b00010000;		//set Buzzer as output (Bit4 = 1)

	PORTD = 0b00000000;
	DDRD  = 0b00001010;		//set Relay as output (Bit3 = 1), set TX as output(Bit1 = 1)
}

int main()
{
	//set PORTB5 as output with high value and check state of PINB6
	PORTB = (PORTB & 0b00011111) | 0b00100000;
	DDRB  = (DDRB  & 0b00011111) | 0b00100000;
	
	while (1)
	{

		if (PINB & 0b01000000)
		{
			PORTB = PORTB | 0b00010000;
			for (i=500; i; i--);
			PORTB = PORTB & 0b11101111;
			for (i=500; i; i--);
		}
	}
	return 0;
}
